> ## Documentation Index
> Fetch the complete documentation index at: https://help.commbox.io/llms.txt
> Use this file to discover all available pages before exploring further.
# Outbound Call
> This API initiates an outbound call with a Voice AI Agent. The API calls the customer through the brand’s SIP voice channel, and the configured Voice AI Agent handles the interaction. If the customer answers, a conversation is created on the channel for tracking and review.
There are two body params:
```sipNumber``` - The phone number of the brand's SIP voice channel. It must belong to the brand of the API key.
```userNumber``` - The customer's phone number to call.
Both must be in an international format, starting with the country code (not with 0), 6 to 15 digits, optional leading +/ spaces / dashes / brackets / dots are ignored.
A national number such as 07700900123 will return 400. You must use international format +44 7700 900123
Outbound throttle per brand: Default 100 create_call requests per brand per minute, with per-brand overrides can be adjusted by CommBox. Over the limit returns 429.
Note: No call ID is returned
## OpenAPI
````json POST /voice/sip/create_call
{
"openapi": "3.0.3",
"info": {
"title": "CommBox API",
"x-logo": {
"url": "https://www.commbox.io/logo/commbox_logo_large.png"
},
"version": "2.07",
"termsOfService": "https://www.commbox.io/end-user-license-agreement-eula/",
"contact": {
"name": "commbox",
"url": "https://www.commbox.io",
"email": "contactus@commbox.io"
}
},
"servers": [
{
"url": "https://api.commbox.io/",
"description": "Production server"
}
],
"security": [
{
"BearerAuth": []
}
],
"tags": [
{
"name": "Core",
"description": "
Systemwide verification"
},
{
"name": "Objects",
"description": "
Objects are conversations between the AI Agent or the human agent and the customers, where each segment of the conversation is referred to as a Child. Every conversation must have a designated Stream – a communication channel such as Chat, Email, Text/SMS, etc., through which the conversation takes place.
The Object APIs category concentrates on a specific conversation, where the Stream is part of the identifying parameters. In contrast, the Streams APIs category, the Channel is the focal point of the request, and the objects and users are the filtering aspects."
},
{
"name": "Media",
"description": "Converting media files to Base64"
},
{
"name": "AI Services",
"description": "APIs that provide AI capabilities by the platform. "
},
{
"name": "Streams",
"description": "
Streams are communication channels used in CommBox, such as Chat, WhatsApp, SMS/Text, etc. In the Streams category of APIs, the channel is the focal point of the request, and the objects and users are the filtering aspects. See the Enums Section for available channels and their CommBox code."
},
{
"name": "Tags",
"description": "
Tags are a classification tool for summarizing aspects of the conversation or the user. It can mark the conversation to indicate a new sale or identify a customer as not interested in the product. To help manage the Tags assets, Tags can be grouped with a common identifier."
},
{
"name": "SMS",
"description": "
Sending customers **SMS messages** (Texting) requires an initial opt-in step, which is not offered by CommBox and is the sole responsibility of the sending entity (Business)."
},
{
"name": "WhatsApp",
"description": "
CommBox facilitates activities in **WABA** for the clients. Our platform helps clients create new templates and manage existing ones.
**Opt-in for WhatsApp**
Before sending WhatsApp messages to someone, you must first receive opt-in permission confirming that they wish to receive future messages from you on WhatsApp. This can be done using any channel your business uses to communicate with people — your website, app, email, retail location, etc.
- The opt-in must be an active opt-in, which means it must be triggered by a user action, such as entering a phone number or checking a box to indicate consent.
- The opt-in must clearly state your business’ name.
- Clear opt-in messaging so that the customers know what type(s) of messaging they are signing up for.
For more information, please visit: https://developers.facebook.com/docs/whatsapp/guides/opt-in/"
},
{
"name": "Campaigns",
"description": "Send WhatsApp campaigns via an API. Campaigns are reflected in the metrics page in the platform."
},
{
"name": "Users",
"description": "
**Users** are people recorded in CommBox and they include both the business side and the customers.
Managers are APIs that deal with the business personas such as Admins, Agents, Team leaders, etc., and they include **Profiles**, **Presence**, **Assignments**, **Notifications**, and **Teams** sub-categories.
General USERS"
},
{
"name": "Managers",
"description": "
The **MANAGERS** APIs category relates to activities involving the Admins, Team Leaders, Agents, and any other business-related persona. This category includes **Profiles**, **Presence**, **Assignments**, **Notifications**, and **Teams** sub-categories."
},
{
"name": "Profiles",
"description": "
**Profiles** relate to system permissions and enabled activities assigned to a group of agents (managers).
When looking for a specific user, the USER ID is required.
The profile ID is required when selecting a specific profile (See Enum section)."
},
{
"name": "Presence",
"description": "
The Presence APIs relate to the agent availability status. Active and ready for assignment, Busy, or Away from the desk. Additional statuses can be created by the admin."
},
{
"name": "Assignments",
"description": "
The **Assignments** category relates to conversations (Objects) assigned to a specific agent."
},
{
"name": "Teams",
"description": "A Team is a group of agents with specific business agendas, roles, and permissions. Admins and Team Managers can set up Team Managers to create and manage teams and give those teams specific inbox filters, tags, and knowledge-based assets."
},
{
"name": "Audiences",
"description": "The Audiences APIs allow the creation, editing and listing of organizational audiences used for campaigns."
},
{
"name": "Forms",
"description": "The Forms APIs allow agents to assist customers in completing and signing forms issued by the organization. Once the customer submits the form, a new object is created that includes a link to the original conversation and stores the completed, signed form as an attachment."
},
{
"name": "Authentication",
"description": "Authentication APIs provide accessibility to the system."
},
{
"name": "Automation",
"description": "
Automation APIs are related to chatbot capabilities."
},
{
"name": "Transcription",
"description": "
**Transcription** turns a call recording into readable, speaker-attributed messages inside the conversation."
},
{
"name": "Voice",
"description": " Making Outbound call using SIP."
},
{
"name": "Knowledge Base",
"description": "Adding, Deleting or Updating KB items."
}
],
"x-tagGroups": [
{
"name": "API Calls",
"tags": [
"Core",
"Objects",
"Media",
"AI Services",
"Streams",
"Tags",
"SMS",
"WhatsApp",
"Users",
"Managers",
"Profiles",
"Presence",
"Assignments",
"Teams",
"Audiences",
"Forms",
"Authentication",
"Automation"
]
}
],
"paths": {
"/voice/sip/create_call": {
"post": {
"tags": [
"Voice"
],
"summary": "Outbound Call",
"description": "This API initiates an outbound call with a Voice AI Agent. The API calls the customer through the brand’s SIP voice channel, and the configured Voice AI Agent handles the interaction. If the customer answers, a conversation is created on the channel for tracking and review.
There are two body params:
```sipNumber``` - The phone number of the brand's SIP voice channel. It must belong to the brand of the API key.
```userNumber``` - The customer's phone number to call.
Both must be in an international format, starting with the country code (not with 0), 6 to 15 digits, optional leading +/ spaces / dashes / brackets / dots are ignored.
A national number such as 07700900123 will return 400. You must use international format +44 7700 900123
Outbound throttle per brand: Default 100 create_call requests per brand per minute, with per-brand overrides can be adjusted by CommBox. Over the limit returns 429.
Note: No call ID is returned",
"operationId": "Post_Voice_Outboand_Call",
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"sipNumber": {
"description": "The brand's SIP voice channel phone number. Must be in international format.",
"type": "integer",
"format": "int64",
"example": 442046322011
},
"userNumber": {
"description": "The phone number of the customer. Must be in international format.",
"type": "integer",
"example": 442046399013
}
}
}
}
}
},
"responses": {
"200": {
"description": "**Success**",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "integer",
"example": 200
},
"description": {
"type": "string",
"example": "Success"
},
"response_time": {
"type": "string",
"example": "2026-08-06T07:53:11.4471902Z"
},
"data": {
"type": "string",
"example": ""
}
}
}
}
}
},
"400": {
"description": "**Invalid request** - Invalid sipNumber / userNumber / nonSIP channel / Stream is not set up for outbound calls / Failed to parse JSON body",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "integer",
"example": 400
},
"description": {
"type": "string",
"example": "Stream is not a SIP voice channel"
},
"response_time": {
"type": "string",
"example": "2026-08-06T07:51:52.2581942Z"
},
"data": {
"type": "string",
"example": ""
}
}
}
}
}
},
"401": {
"description": "**Unauthorized** - The supplied credentials, if any, are not sufficient to access the resource",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "integer",
"example": 401
},
"description": {
"type": "string",
"example": "Unauthorized access"
},
"response_time": {
"type": "string",
"example": "2026-08-06T07:51:52.2581942Z"
},
"data": {
"type": "string",
"example": ""
}
}
}
}
}
},
"403": {
"description": "**Access denied** - Blocked by the brand's API IP whitelist or the voice API is disabled"
},
"404": {
"description": "**Not found** - No active SIP voice channel with that number in the key's brand"
},
"405": {
"description": "**Unrecognized operation** - Incorrect method"
},
"429": {
"description": "**Too Many Requests** - Too many requests have been made in a short period of time (Throttling). The brand is over its per-minute limit"
},
"500": {
"description": "**Server Error** - The call could not be queued"
}
}
}
}
},
"components": {
"securitySchemes": {
"BearerAuth": {
"type": "http",
"scheme": "bearer",
"description": "API key is needed to authorize requests. You can get your API key via the management console. A Bearer Token is needed to be set in the Authorization header of every API call. For additional support you can contact us."
}
}
}
}
````